petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESNASM

Nonlinear Additive Schwartz

### Options Database

| -snes_nasm_log | - enable logging events for the communication and solve stages
| -snes_nasm_type <basic,restrict> | - type of subdomain update used
| -snes_asm_damping <dmp> | - the new solution is obtained as old solution plus dmp times (sum of the solutions on the subdomains)
| -snes_nasm_finaljacobian | - compute the local and global jacobians of the final iterate
| -snes_nasm_finaljacobian_type <finalinner,finalouter,initial> | - pick state the jacobian is calculated at
| -sub_snes_ | - options prefix of the subdomain nonlinear solves
| -sub_ksp_ | - options prefix of the subdomain Krylov solver
| -sub_pc_ | - options prefix of the subdomain preconditioner

### References

1. -Peter R. Brune, Matthew G. Knepley, Barry F. Smith, and Xuemin Tu, "Composing Scalable Nonlinear Algebraic Solvers", SIAM Review, 57(4), 2015

### See Also

SNESCreate(), SNES, SNESSetType(), SNESType (for list of available types), SNESNASMSetType(), SNESNASMGetType(), SNESNASMSetSubdomains(), SNESNASMGetSubdomains(), SNESNASMGetSubdomainVecs(), SNESNASMSetComputeFinalJacobian(), SNESNASMSetDamping(), SNESNASMGetDamping()

Level:advanced
Location:src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages